/*____________________________________________________________________________
	Copyright (C) 1997-1998 Network Associates Inc. and affiliated companies.
	All rights reserved.

	$Id: PGPtools.h,v 1.16 1999/03/10 02:59:04 heller Exp $
____________________________________________________________________________*/

#pragma once

#include <PP_Types.h>

#include "pgpEncode.h"
#include "pgpUserInterface.h"
#include "pgpKeys.h"

// Note: Changing these definitions requires changing the user constants
// in the PPob resource for the drop receiver panes of the main window.

typedef enum PGPtoolsOperation
{
	kPGPtoolsInvalidOperation	= 0,
	
	kPGPtoolsEncryptOperation,
	kPGPtoolsSignOperation,
	kPGPtoolsEncryptSignOperation,
	kPGPtoolsDecryptVerifyOperation,
	
	kPGPtoolsWipeOperation,
	kPGPtoolsWipeFreeSpaceOperation
} PGPtoolsOperation;

#include "CComboError.h"

class CToolsError : public CComboError
{
/* leave as placeholder for now */
};

typedef struct PGPtoolsSignatureData
{
	PGPEventSignatureData	data;
	char					signingKeyIDStr[ kPGPMaxKeyIDStringSize ];
	Boolean					haveResourceFork;
	Boolean					didNotVerifyResourceFork;

} PGPtoolsSignatureData;
